Show / Hide Table of Contents

# Struct ImFontPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImFontPtr

### Constructors

| Improve this Doc View Source

#### ImFontPtr(ImFont*)

##### Declaration

    public ImFontPtr(ImFont*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFont* | nativePtr |

| Improve this Doc View Source

#### ImFontPtr(IntPtr)

##### Declaration

    public ImFontPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### Ascent

##### Declaration

    public float Ascent { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ConfigData

##### Declaration

    public ImFontConfigPtr ConfigData { get; }

##### Property Value

Type | Description
--- | ---
ImFontConfigPtr |

| Improve this Doc View Source

#### ConfigDataCount

##### Declaration

    public short ConfigDataCount { get; }

##### Property Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### ContainerAtlas

##### Declaration

    public ImFontAtlasPtr ContainerAtlas { get; }

##### Property Value

Type | Description
--- | ---
ImFontAtlasPtr |

| Improve this Doc View Source

#### Descent

##### Declaration

    public float Descent { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### DirtyLookupTables

##### Declaration

    public bool DirtyLookupTables { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DisplayOffset

##### Declaration

    public Vector2 DisplayOffset { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### FallbackAdvanceX

##### Declaration

    public float FallbackAdvanceX { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### FallbackChar

##### Declaration

    public ushort FallbackChar { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### FallbackGlyph

##### Declaration

    public ImFontGlyphPtr FallbackGlyph { get; }

##### Property Value

Type | Description
--- | ---
ImFontGlyphPtr |

| Improve this Doc View Source

#### FontSize

##### Declaration

    public float FontSize { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Glyphs

##### Declaration

    public ImPtrVector<ImFontGlyphPtr> Glyphs { get; }

##### Property Value

Type | Description
--- | ---
ImPtrVector<ImFontGlyphPtr> |

| Improve this Doc View Source

#### IndexAdvanceX

##### Declaration

    public ImVector<float> IndexAdvanceX { get; }

##### Property Value

Type | Description
--- | ---
ImVector<System.Single> |

| Improve this Doc View Source

#### IndexLookup

##### Declaration

    public ImVector<ushort> IndexLookup { get; }

##### Property Value

Type | Description
--- | ---
ImVector<System.UInt16> |

| Improve this Doc View Source

#### MetricsTotalSurface

##### Declaration

    public int MetricsTotalSurface { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public ImFont*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImFont* |

| Improve this Doc View Source

#### Scale

##### Declaration

    public float Scale { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

### Methods

| Improve this Doc View Source

#### AddGlyph(UInt16, Single, Single, Single, Single, Single, Single, Single, Single, Single)

##### Declaration

    public void AddGlyph(ushort c, float x0, float y0, float x1, float y1, float u0, float v0, float u1, float v1, float advance_x)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | c |
System.Single | x0 |
System.Single | y0 |
System.Single | x1 |
System.Single | y1 |
System.Single | u0 |
System.Single | v0 |
System.Single | u1 |
System.Single | v1 |
System.Single | advance_x |

| Improve this Doc View Source

#### AddRemapChar(UInt16, UInt16)

##### Declaration

    public void AddRemapChar(ushort dst, ushort src)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | dst |
System.UInt16 | src |

| Improve this Doc View Source

#### AddRemapChar(UInt16, UInt16, Boolean)

##### Declaration

    public void AddRemapChar(ushort dst, ushort src, bool overwrite_dst)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | dst |
System.UInt16 | src |
System.Boolean | overwrite_dst |

| Improve this Doc View Source

#### BuildLookupTable()

##### Declaration

    public void BuildLookupTable()

| Improve this Doc View Source

#### ClearOutputData()

##### Declaration

    public void ClearOutputData()

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

| Improve this Doc View Source

#### FindGlyph(UInt16)

##### Declaration

    public ImFontGlyphPtr FindGlyph(ushort c)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | c |

##### Returns

Type | Description
--- | ---
ImFontGlyphPtr |

| Improve this Doc View Source

#### FindGlyphNoFallback(UInt16)

##### Declaration

    public ImFontGlyphPtr FindGlyphNoFallback(ushort c)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | c |

##### Returns

Type | Description
--- | ---
ImFontGlyphPtr |

| Improve this Doc View Source

#### GetCharAdvance(UInt16)

##### Declaration

    public float GetCharAdvance(ushort c)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | c |

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetDebugName()

##### Declaration

    public string GetDebugName()

##### Returns

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### GrowIndex(Int32)

##### Declaration

    public void GrowIndex(int new_size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | new_size |

| Improve this Doc View Source

#### IsLoaded()

##### Declaration

    public bool IsLoaded()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### RenderChar(ImDrawListPtr, Single, Vector2, UInt32, UInt16)

##### Declaration

    public void RenderChar(ImDrawListPtr draw_list, float size, Vector2 pos, uint col, ushort c)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawListPtr | draw_list |
System.Single | size |
System.Numerics.Vector2 | pos |
System.UInt32 | col |
System.UInt16 | c |

| Improve this Doc View Source

#### SetFallbackChar(UInt16)

##### Declaration

    public void SetFallbackChar(ushort c)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | c |

### Operators

| Improve this Doc View Source

#### Implicit(ImFont* to ImFontPtr)

##### Declaration

    public static implicit operator ImFontPtr(ImFont*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFont* | nativePtr |

##### Returns

Type | Description
--- | ---
ImFontPtr |

| Improve this Doc View Source

#### Implicit(ImFontPtr to ImFont*)

##### Declaration

    public static implicit operator ImFont*(ImFontPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImFont* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImFontPtr)

##### Declaration

    public static implicit operator ImFontPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImFontPtr |